Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 06/05/2023 in all areas

  1. Here's another way to write it - (defun casesensitivity ( s ) (vl-list->string (apply 'append (mapcar '(lambda ( a b ) (if (= a b) (list a) (list 91 a b 93))) (vl-string->list (strcase s)) (vl-string->list (strcase s t)) ) ) ) ) As for combinations, maybe something like this - (defun combinations ( s / foo ) (defun foo ( u l ) (if (cdr u) (append (mapcar '(lambda ( x ) (cons (car u) x)) (foo (cdr u) (cdr l))) (mapcar '(lambda ( x ) (cons (car l) x)) (foo (cdr u) (cdr l))) ) (list u l) ) ) (mapcar 'vl-list->string (foo (vl-string->list (strcase s)) (vl-string->list (strcase s t)) ) ) ) _$ (length (combinations "floor")) 32
    2 points
  2. Civil site design will label road cross section points, it runs on CIV3D but has a cost. You can have blocks in your cross section as well.
    1 point
  3. This shall change the color of solid to be bylayer regardless of cecolor system variable: (command "_.-hatch" "S" r "" "P" "SOLID" "" "t" 0)
    1 point
  4. I don't quite get the problem regarding your walls sorry... for the 3D View part where you only see floors, you may refer to this.. https://microsolresources.com/tech-resources/article/top-10-reasons-you-cant-see-an-element-in-revit/
    1 point
  5. Change the command hatch in the previous routine with the following one. (command "_.-hatch" "S" r "" "P" "SOLID" "TRANSPARENCY" 50 "")
    1 point
  6. Another (vl-string-translate "." "," "2.50")
    1 point
  7. Please check the VL-STRING-SUBST function: (vl-string-subst "." "," "2,50")
    1 point
  8. A documented function . (vla-put-visible <vla-object> :vlax-false) (vla-put-visible <vla-object> :vlax-true) Tharwat
    1 point
×
×
  • Create New...